- id: '1634297777634'
  alias: bath lights off
  description: ''
  trigger:
  - device_id: b8318016a07e5732cd9025db3a2f8d20
    domain: zha
    platform: device
    type: remote_button_short_press
    subtype: button_1
  condition: []
  action:
  - service: light.turn_off
    target:
      entity_id: light.vanity
    data: {}
  mode: single
- id: '1661139399908'
  alias: Person Detected - Back Yard - Motion Light
  description: ''
  triggers:
  - topic: agent/cameras/21/object_detection/person/detected
    trigger: mqtt
  - type: motion
    device_id: aba6aa12b89879750ec6be2ca75e1895
    entity_id: da73ba8d51fd5efc51fc74d20ec97208
    domain: binary_sensor
    trigger: device
    for:
      hours: 0
      minutes: 0
      seconds: 3
  conditions:
  - condition: sun
    before: sunrise
    after: sunset
  actions:
  - target:
      entity_id: scene.backyard_alert
    metadata: {}
    action: scene.turn_on
    data: {}
  - delay:
      hours: 0
      minutes: 1
      seconds: 0
      milliseconds: 0
  - target:
      entity_id: scene.backyard_normal
    metadata: {}
    action: scene.turn_on
    data: {}
  mode: restart
- id: '1661386100452'
  alias: at dusk
  description: ''
  triggers:
  - event: sunset
    trigger: sun
  conditions: []
  actions:
  - action: cover.close_cover
    data: {}
    target:
      device_id: 6d7f031d733c0c054052b36ccd703264
  - action: scene.turn_on
    target:
      entity_id: scene.nighttime_normal
  - action: switch.turn_on
    metadata: {}
    target:
      entity_id:
      - switch.tz3000_okaz9tjs_ts011f
      - switch.ewelink_sa_003_zigbee
      - switch.noah_s_room_candle
      - switch.office_heater_switch
      - switch.ewelink_sa_003_zigbee_switch
    data: {}
  mode: single
- id: '1662697063215'
  alias: at dawn
  description: ''
  triggers:
  - event: sunrise
    offset: 0
    trigger: sun
  conditions: []
  actions:
  - action: cover.open_cover
    target:
      entity_id: cover.front_room_blinds
    metadata: {}
    data: {}
  - action: scene.turn_on
    target:
      entity_id: scene.daytime_normal
    metadata: {}
    data: {}
  - action: automation.turn_on
    target:
      entity_id:
      - automation.backyard_motion_light_2
      - automation.front_yard_person_detected
    metadata: {}
    data: {}
  mode: single
- id: '1672727297478'
  alias: bath lights on
  description: ''
  trigger:
  - device_id: b8318016a07e5732cd9025db3a2f8d20
    domain: zha
    platform: device
    type: remote_button_short_press
    subtype: button_4
  condition: []
  action:
  - service: light.turn_on
    target:
      entity_id: light.vanity
    data:
      kelvin: 4000
      brightness_pct: 25
  mode: single
- id: '1672727402473'
  alias: bath lights brighter
  description: ''
  trigger:
  - device_id: b8318016a07e5732cd9025db3a2f8d20
    domain: zha
    platform: device
    type: remote_button_short_press
    subtype: button_3
  condition: []
  action:
  - service: light.turn_on
    data:
      brightness_step_pct: 5
    target:
      entity_id: light.vanity
  mode: single
- id: '1672727480201'
  alias: bath lights dimmer
  description: ''
  trigger:
  - device_id: b8318016a07e5732cd9025db3a2f8d20
    domain: zha
    platform: device
    type: remote_button_short_press
    subtype: button_2
  condition: []
  action:
  - service: light.turn_on
    target:
      entity_id: light.vanity
    data:
      brightness_step_pct: -5
  mode: single
- id: '1672727534313'
  alias: bath lights plum
  description: ''
  trigger:
  - device_id: b8318016a07e5732cd9025db3a2f8d20
    domain: zha
    platform: device
    type: remote_button_double_press
    subtype: button_3
  condition: []
  action:
  - service: light.turn_on
    data:
      brightness_pct: 50
      color_name: plum
    target:
      entity_id: light.vanity
  - service: light.turn_on
    target:
      entity_id: light.vanity
    data:
      color_name: plum
  mode: single
- id: '1672727589488'
  alias: bath lights warm white
  description: ''
  trigger:
  - device_id: b8318016a07e5732cd9025db3a2f8d20
    domain: zha
    platform: device
    type: remote_button_double_press
    subtype: button_4
  condition: []
  action:
  - service: light.turn_on
    data:
      kelvin: 2700
    target:
      entity_id: light.vanity
  mode: single
- id: '1683350354655'
  alias: Person Detected - Front Yard - Motion Light
  description: ''
  triggers:
  - topic: agent/cameras/20/object_detection/person/detected
    trigger: mqtt
  - type: motion
    device_id: 5b18788902b18f38a64cbe2787aa0343
    entity_id: 9c7d8c6b12d88643d757c3191adbcf42
    domain: binary_sensor
    trigger: device
    for:
      hours: 0
      minutes: 0
      seconds: 2
  conditions:
  - condition: sun
    after: sunset
    before: sunrise
  actions:
  - target:
      entity_id: scene.front_yard_alert
    metadata: {}
    action: scene.turn_on
    data: {}
  - delay:
      hours: 0
      minutes: 1
      seconds: 0
      milliseconds: 0
  - target:
      entity_id: scene.front_yard_normal
    metadata: {}
    action: scene.turn_on
    data: {}
  mode: restart
- id: '1683497943655'
  alias: Person Detected - Back Yard - Notify (Image)
  description: ''
  triggers:
  - topic: agent/camera/10/object_detection/person/detected
    trigger: mqtt
  conditions: []
  actions:
  - action: notify.adris_mobile_devices
    data:
      title: Person detected in Back Yard
      message:
      data:
        tag:
        group:
        image: '{{ trigger.payload }}'
        url: /lovelace-main/cameras
        clickAction: /lovelace-main/cameras
        push:
          interruption-level: active
  - delay:
      hours: 0
      minutes: 1
      seconds: 0
      milliseconds: 0
  mode: single
  max_exceeded: silent
- id: '1683498157728'
  alias: Person Detected - Front Yard - Notify (image)
  description: ''
  trigger:
  - platform: mqtt
    topic: agent/camera/full_frontal/object_detection/person/detected/image
  condition: []
  action:
  - service: notify.adris_mobile_devices
    data_template:
      message: '{{ trigger.payload }}'
      title: Person detected in Front Yard
  - delay:
      hours: 0
      minutes: 1
      seconds: 0
      milliseconds: 0
  mode: single
  max_exceeded: silent
- id: '1701926625524'
  alias: Office Heater - Turn Off
  description: ''
  triggers:
  - entity_id:
    - binary_sensor.office_occupancy
    to: 'off'
    for:
      hours: 0
      minutes: 10
      seconds: 0
    trigger: state
  conditions:
  - condition: device
    type: is_on
    device_id: 67f15e6edfde039737a4c9d6a6681f67
    entity_id: e9d081ac50cea2f44e46db5da9d5bd8c
    domain: switch
  actions:
  - type: turn_off
    device_id: 67f15e6edfde039737a4c9d6a6681f67
    entity_id: e9d081ac50cea2f44e46db5da9d5bd8c
    domain: switch
  mode: restart
- id: '1708275177795'
  alias: Person Detected - Back Yard - Notify
  description: ''
  triggers:
  - topic: agent/cameras/21/object_detection/person/detected
    trigger: mqtt
  conditions:
  - condition: time
    after: '22:00:00'
    before: 06:00:00
  actions:
  - action: notify.adris_mobile_devices
    metadata: {}
    data:
      message: Person detected in Back Yard
      title: Outdoor Activity Detected
      data:
        channel: Outdoor Activity
        group: motion_detection
  - delay:
      hours: 0
      minutes: 10
      seconds: 0
      milliseconds: 0
  mode: single
  max_exceeded: silent
- id: '1708275331842'
  alias: Person Detected - Front Yard - Notify
  description: ''
  triggers:
  - topic: agent/cameras/20/object_detection/person/detected
    trigger: mqtt
  conditions: []
  actions:
  - action: notify.adris_mobile_devices
    metadata: {}
    data:
      message: Person Detected in Front Yard
      title: Outdoor Activity Detected
      data:
        channel: Outdoor Activity
        group: motion_detection
  - delay:
      hours: 0
      minutes: 10
      seconds: 0
      milliseconds: 0
  mode: single
  max_exceeded: silent
- id: '1710120520332'
  alias: Basement Stairs - Motion Light
  description: ''
  triggers:
  - type: motion
    device_id: 4f946caefed3387d7611bcdaad8a4601
    entity_id: a43e6926f703edc421dc61c69449b5b5
    domain: binary_sensor
    trigger: device
  conditions: []
  actions:
  - type: turn_on
    device_id: 13d8808d82e3b131cd8ed0e3b7e652ea
    entity_id: a20142c77d0b177ca8d1ec4d2571a1c6
    domain: switch
  - delay:
      hours: 0
      minutes: 1
      seconds: 30
      milliseconds: 0
  - type: turn_off
    device_id: 13d8808d82e3b131cd8ed0e3b7e652ea
    entity_id: a20142c77d0b177ca8d1ec4d2571a1c6
    domain: switch
  mode: restart
- id: '1730746416843'
  alias: turn on lava lamp
  description: ''
  triggers:
  - trigger: time
    at: '18:00:00'
  - trigger: time
    at: 06:00:00
  conditions: []
  actions:
  - type: turn_on
    device_id: 46e88c318ca4eed8d822b5d6672cb062
    entity_id: 9fabadba6787fb8d2a7537dc7a88eee8
    domain: switch
  mode: single
- id: '1730746460829'
  alias: turn off lava lamp
  description: ''
  triggers:
  - trigger: time
    at: 00:00:00
  - trigger: time
    at: '12:00:00'
  conditions: []
  actions:
  - type: turn_off
    device_id: 46e88c318ca4eed8d822b5d6672cb062
    entity_id: 9fabadba6787fb8d2a7537dc7a88eee8
    domain: switch
  mode: single
- id: '1730746572961'
  alias: unlock back door when i get home
  description: ''
  triggers:
  - trigger: zone
    entity_id: person.adri
    zone: zone.home
    event: enter
  conditions:
  - condition: or
    conditions:
    - type: is_connected
      condition: device
      device_id: 2cad4531838a935840b191e841de22a5
      entity_id: 7bd37da07a3c87b55362252125575cc2
      domain: binary_sensor
    - type: is_connected
      condition: device
      device_id: 2015ea5be975e73630792119aa72b64f
      entity_id: 209f7eeeb316907723cde73d4e48b9c6
      domain: binary_sensor
  actions:
  - device_id: ef1e57e6a71e669f345a9ecfc90e4b2e
    domain: lock
    entity_id: 252bd657d098084010ac62dda1c9872c
    type: unlock
  mode: single
- id: '1736825165283'
  alias: set Noah is home
  description: ''
  triggers:
  - trigger: state
    entity_id:
    - light.fan_bulb_1
    to:
    - 'on'
    for:
      hours: 0
      minutes: 5
      seconds: 0
  conditions: []
  actions:
  - action: input_boolean.turn_on
    metadata: {}
    data: {}
    target:
      entity_id: input_boolean.is_noah_home
  mode: single
- id: '1736825774161'
  alias: 'set heat if Noah is home '
  description: ''
  triggers:
  - trigger: time
    at: 06:00:00
  conditions:
  - condition: state
    entity_id: input_boolean.is_noah_home
    state: 'on'
  - condition: numeric_state
    entity_id: sensor.kroc_temperature
    below: 55
  - condition: time
    weekday:
    - mon
    - tue
    - wed
    - thu
    - fri
  actions:
  - action: climate.set_temperature
    metadata: {}
    data:
      temperature: 70
    target:
      entity_id: climate.climate
  - action: input_boolean.turn_off
    metadata: {}
    data: {}
    target:
      entity_id: input_boolean.is_noah_home
  mode: single
- id: '1744095081253'
  alias: orphne charge - turn off
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.orphne_battery_level
    above: 80
  conditions: []
  actions: []
  mode: single
- id: '1744095187512'
  alias: orphne charge - turn on
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.orphne_battery_level
    below: 15
  conditions: []
  actions: []
  mode: single
- id: '1746534818431'
  alias: orphne night vision on
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.orphne_dgtlu_net_light_level
    for:
      hours: 0
      minutes: 0
      seconds: 20
    below: 20
  conditions: []
  actions:
  - type: turn_on
    device_id: 4d73e9574b718823101b86d47eb1eb87
    entity_id: 8652f6caa77452113a3df3867b7669ac
    domain: switch
  mode: single
- id: '1746534881878'
  alias: orphne night vision off
  description: ''
  triggers:
  - trigger: numeric_state
    entity_id:
    - sensor.orphne_dgtlu_net_light_level
    for:
      hours: 0
      minutes: 0
      seconds: 20
    above: 25
  conditions: []
  actions:
  - type: turn_off
    device_id: 4d73e9574b718823101b86d47eb1eb87
    entity_id: 8652f6caa77452113a3df3867b7669ac
    domain: switch
  mode: single
- id: '1759540804156'
  alias: turn off counter at 10
  description: ''
  triggers:
  - trigger: time
    at: '22:00:00'
  conditions: []
  actions:
  - type: turn_on
    device_id: af1e12dac03096dec4f1b1306e99a8bb
    entity_id: f51405dcd49542c081f87dcd2f476316
    domain: light
    brightness_pct: 30
  - type: turn_off
    device_id: b0409b346a20537144528e5f4d7920bf
    entity_id: d2bd9d1c836dbc563d9ccdf602fb82dd
    domain: light
  mode: single
- id: '1765151847549'
  alias: After Santa
  description: ''
  triggers:
  - trigger: time
    at: 02:00:00
  conditions: []
  actions:
  - action: switch.turn_off
    metadata: {}
    target:
      entity_id:
      - switch.tz3000_okaz9tjs_ts011f
      - switch.ewelink_sa_003_zigbee_switch
      - switch.office_heater_switch
      - switch.ewelink_sa_003_zigbee
      - switch.noah_s_room_candle
    data: {}
  - action: cover.close_cover
    metadata: {}
    target:
      entity_id: cover.parlor_blinds
    data: {}
  - action: light.turn_on
    metadata: {}
    target:
      entity_id: light.parlor_sconces
    data:
      color_temp_kelvin: 2755
      brightness_pct: 1
  mode: single
- id: '1767224629027'
  alias: Bedroom Cam Notification
  description: ''
  triggers:
  - trigger: mqtt
    options:
      topic: agent/cameras/10/object_detection/person/detected
      encoding: ''
  conditions: []
  actions:
  - variables:
      timestamp: '{{ now().strftime("%Y%m%d_%H%M%S") }}'
      image_file: '{{ trigger.payload_json.oid }}_{{ timestamp }}.jpg'
  - action: shell_command.save_payload_image
    data:
      payload: '{{ trigger.payload_json.image }}'
      filename: '{{ image_file }}'
  - delay: 00:00:01
  - action: notify.adris_mobile_devices
    data:
      message: Person Detected in Bedroom
      title: Bedroom Activity Detected
      data:
        channel: Indoor Activity
        group: motion_detection
        image: /local/snapshots/{{ image_file }}.jpg
        actions:
        - action: VIEW
          title: View Recording
          uri: http://athena.dgtlu.net:8090/streamFile.cgi?oid={{ trigger.payload_json.oid
            }}&ot=2&fn={{ trigger.payload_json.file }}
  mode: single
  max_exceeded: silent
- id: '1767242164550'
  alias: Cleanup Old Snapshots
  description: ''
  triggers:
  - trigger: time
    at: 03:00:00
  actions:
  - action: shell_command.cleanup_snapshots
    data: {}
- id: '1767253364578'
  alias: Sync Assist Entities to Alexa
  description: ''
  triggers:
  - event_type: homeassistant_started
    trigger: event
  - event_type: sync_alexa_entities
    trigger: event
  - at: 03:00:00
    trigger: time
  actions:
  - delay: 10
  - action: shell_command.sync_to_alexa
  - delay: 5
  - action: persistent_notification.create
    data:
      message: Alexa sync complete. Say 'Alexa, discover devices'
